textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/terrain
{
	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

models/mapobjects/urbanterror/palmtree/palmleaves
{
	cull none
	deformvertexes wave 150 sin 0 1 0 .3
	surfaceparm nolightmap
	
	{
		map models/mapobjects/urbanterror/palmtree/palmleaves.tga
		
		depthwrite
	}
}

models/mapobjects/urbanterror/palmtree/palmtrunk
{
	surfaceparm nolightmap
	surfaceparm playerclip
	
	{
		map models/mapobjects/urbanterror/palmtree/palmtrunk.tga
		depthwrite		
	}
}

textures/ut_202/202sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/ut_202/sky_white.tga
	qer_editorimage textures/ut_202/sky_white.tga
	q3map_surfacelight 60
	q3map_lightsubdivide 512
	q3map_globaltexture
	q3map_sun 0.01 0.0 0.0 30 0 20
	skyparms env/ut_202/badomen512 - - 
}

textures/ut_202/woodladder
{
        qer_editorimage textures/ut_202/woodladder_64x64.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_202/woodladder_64x64.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_202/ropeladder
{
        qer_editorimage textures/ut_202/ropeladder_64x64.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_202/ropeladder_64x64.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_202/balcony_columns
{
        qer_editorimage textures/ut_202/balcony_columns.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        nopicmip
	{
		map textures/ut_202/balcony_columns.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_202/sand_oasis
{
	qer_editorimage textures/ut_202/sand_oasis_256x256.tga
	surfaceparm nolightmap
	surfaceparm dust
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_202/sand_oasis_256x256.tga
		rgbgen vertex
		tcmod scale 0.125 0.125
	}
}

textures/ut_202/water_oasis
{
	qer_editorimage textures/ut_202/pool3d_6e.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/ut_202/pool3d_6e.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
		tcmod scale .07 .07
		tcmod scroll .020 .008
	}
	{
		map textures/ut_202/pool3d_4b2.tga
		blendfunc add
		tcmod scale .07 .07
		tcmod scroll -.020 -.008
		rgbgen identity
	}
}

textures/ut_202/bluecloth
{
        qer_editorimage textures/ut_202/blue_cloth_128x64.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_202/blue_cloth_128x64.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_202/redcloth
{
        qer_editorimage textures/ut_202/red_cloth_128x64.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_202/red_cloth_128x64.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_202/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/terrain/ut_202_terrain_0
{
	surfaceparm nolightmap
	surfaceparm dust
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_202/terrain_202_1.tga
		rgbgen vertex
		tcmod scale 0.125 0.125
	}
}

textures/terrain/ut_202_terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	surfaceparm dust
	q3map_forcesunlight
	{
		map textures/ut_202/terrain_202_3.tga
		rgbgen vertex
		tcmod scale 0.125 0.125
	}
}

textures/terrain/ut_202_terrain_2
{
	surfaceparm nolightmap
	surfaceparm dust
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_202/terrain_202_2.tga
		rgbgen vertex
		tcmod scale 0.125 0.125
	}
}

textures/terrain/ut_202_terrain_0to1
{
	surfaceparm nolightmap
	surfaceparm dust
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_202/terrain_202_1.tga
		rgbgen vertex
		alphagen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/ut_202/terrain_202_3.tga
		rgbgen vertex
		alphagen vertex
		tcmod scale 0.125 0.125
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/terrain/ut_202_terrain_0to2
{
	surfaceparm nolightmap
	surfaceparm dust
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_202/terrain_202_1.tga
		rgbgen vertex
		alphagen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/ut_202/terrain_202_2.tga
		rgbgen vertex
		alphagen vertex
		tcmod scale 0.125 0.125
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

